// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) AffiliateLinksStatistics() AffiliateLinksStatistics {
	return AffiliateLinksStatistics(t)
}

type AffiliateLinksStatistics struct{ alias string }

func (t AffiliateLinksStatistics) TableAlias() string { return t.alias }
func (t AffiliateLinksStatistics) name() string       { return "AffiliateLinksStatistics" }
func (t AffiliateLinksStatistics) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t AffiliateLinksStatistics) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.Clicks(),
		c.OwnerID(),
		c.Signups(),
		c.MobileAppDownloads(),
	}
}

func (t AffiliateLinksStatistics) Columns() AffiliateLinksStatisticsCols {
	return AffiliateLinksStatisticsCols{tableAlias: t.alias}
}

type AffiliateLinksStatisticsCols struct{ tableAlias string }

func (c AffiliateLinksStatisticsCols) Clicks() string  { return colName(c.tableAlias, "Clicks") }  // INT64 NULL
func (c AffiliateLinksStatisticsCols) OwnerID() string { return colName(c.tableAlias, "OwnerID") } // STRING(36) NULL
func (c AffiliateLinksStatisticsCols) Signups() string { return colName(c.tableAlias, "Signups") } // INT64 NULL
func (c AffiliateLinksStatisticsCols) MobileAppDownloads() string {
	return colName(c.tableAlias, "MobileAppDownloads")
} // INT64 DEFAULT (0)
